Subject: Re: propose renaming gnulib memxfrm to amemxfrm (naming collision with coreutils)

From: Bruno Haible <[email-masked]>
Date: Mon, 9 Aug 2010 09:25:04 +0200

Hi Paul,

> +              buf = allocated = xrealloc (allocated, bufsize);

The contents of the 'allocated' buffer is scratch, therefore malloc + free
should be faster than realloc (except maybe on Linux systems, due to the
mremap() system call).

Also, the '3 * (lena + lenb)' guess is pessimistic; it is possible that
it may return with ENOMEM when in fact strxfrm's real needs would not
lead to ENOMEM.

Bruno